PwxString Class Reference

This class defines a class to bridge WX Widgets strings to PTLib strings. More...

`#include <wxstring.h>`

Inheritance diagram for PwxString:

## Public Member Functions

| PwxString ()
| PwxString (const wxString &str)
| PwxString (const PString &str)
| PwxString (const PFilePath &fn)
| PwxString (const char *str)
PwxString & | operator= (const char *str)
PwxString & | operator= (const wxString &str)
PwxString & | operator= (const PString &str)
bool | operator== (const char *other) const
bool | operator== (const wxString &other) const
bool | operator== (const PString &other) const
bool | operator== (const PwxString &other) const
bool | operator!= (const char *other) const
bool | operator!= (const wxString &other) const
bool | operator!= (const PString &other) const
bool | operator!= (const PwxString &other) const
PString | p_str () const
| operator PString () const
| operator PFilePath () const

## Friends

ostream & | operator<< (ostream &stream, const PwxString &string)
wostream & | operator<< (wostream &stream, const PwxString &string)

## Detailed Description

This class defines a class to bridge WX Widgets strings to PTLib strings.

## Constructor & Destructor Documentation

## PwxString() [1/5]

PwxString::PwxString | ( |  | ) |

inline

Referenced by PwxString().

## PwxString() [2/5]

PwxString::PwxString | ( | const wxString & | str | ) |

inline

## PwxString() [3/5]

PwxString::PwxString | ( | const PString & | str | ) |

inline

## PwxString() [4/5]

PwxString::PwxString | ( | const PFilePath & | fn | ) |

inline

## PwxString() [5/5]

PwxString::PwxString | ( | const char * | str | ) |

inline

References PwxString().

## Member Function Documentation

## operator PFilePath()

PwxString::operator PFilePath | ( |  | ) | const

inline

## operator PString()

PwxString::operator PString | ( |  | ) | const

inline

## operator!=() [1/4]

bool PwxString::operator!= | ( | const char * | other | ) | const

inline

Referenced by operator!=().

## operator!=() [2/4]

bool PwxString::operator!= | ( | const wxString & | other | ) | const

inline

## operator!=() [3/4]

bool PwxString::operator!= | ( | const PString & | other | ) | const

inline

## operator!=() [4/4]

bool PwxString::operator!= | ( | const PwxString & | other | ) | const

inline

References operator!=(), operator<<, and p_str().

## operator=() [1/3]

PwxString& PwxString::operator= | ( | const char * | str | ) |

inline

## operator=() [2/3]

PwxString& PwxString::operator= | ( | const wxString & | str | ) |

inline

## operator=() [3/3]

PwxString& PwxString::operator= | ( | const PString & | str | ) |

inline

## operator==() [1/4]

bool PwxString::operator== | ( | const char * | other | ) | const

inline

Referenced by operator==().

## operator==() [2/4]

bool PwxString::operator== | ( | const wxString & | other | ) | const

inline

## operator==() [3/4]

bool PwxString::operator== | ( | const PString & | other | ) | const

inline

## operator==() [4/4]

bool PwxString::operator== | ( | const PwxString & | other | ) | const

inline

References operator==().

## p_str()

PString PwxString::p_str | ( |  | ) | const

inline

Referenced by operator!=().

## Friends And Related Function Documentation

## operator<< [1/2]

ostream& operator<< | ( | ostream & | stream,
|  | const PwxString & | string
| ) |  |

friend

Referenced by operator!=().

## operator<< [2/2]

wostream& operator<< | ( | wostream & | stream,
|  | const PwxString & | string
| ) |  |

friend

The documentation for this class was generated from the following file:

- wxstring.h